(define-module (ryan-packages freedesktop)
                #:use-module (guix download)
                #:use-module (guix packages)
                #:use-module (guix git-download)
                #:use-module (guix utils)
                #:use-module (gnu packages)
                #:use-module (gnu packages freedesktop)
                #:use-module (gnu packages wm))

(define-public xdg-desktop-portal-wlr-new
  (package
    (inherit xdg-desktop-portal-wlr)
    (version "0.7.0")
    (source (origin
              (method git-fetch)
              (uri (git-reference
                     (url "https://github.com/emersion/xdg-desktop-portal-wlr")
                     (commit (string-append "v" version))))
              (sha256
                (base32
                  "1b3hpp3ybjgnnmnwsyb5bsnvz9q5nr3zz0j1alh02g24f68lf00k"))
              (patches (search-patches "xdg-desktop-portal-wlr-harcoded-length.patch"))))
    (native-inputs (modify-inputs (package-native-inputs xdg-desktop-portal-wlr)
                           (append wlroots)))))
